/*****************************************************************************
/// Copyright (c) 2008, 2009 Sun Microsystems. All rights reserved. 
/// 
/// This program and the accompanying materials are made available under the 
/// terms of the Eclipse Public License v1.0 and Eclipse Distribution License v. 1.0 
/// which accompanies this distribution. 
/// The Eclipse Public License is available at http://www.eclipse.org/legal/epl-v10.html
/// and the Eclipse Distribution License is available at 
/// http://www.eclipse.org/org/documents/edl-v10.php.
/// 
/// Contributors:
///     Linda DeMichiel - Java Persistence 2.0 - Version 2.0 (October 1, 2009)
///     Specification available from http://jcp.org/en/jsr/detail?id=317
/// 
/*****************************************************************************/
namespace NPersistence { using System; using System.Reflection; using System.Collections; using System.Collections.Generic;

/// <summary> Used as the value of the
/// <c>NPersistence.cache.retrieveMode</c> property to
/// specify the behavior when data is retrieved by the
/// <c>find</c> methods and by queries.
/// 
/// 
/// </summary>
public enum CacheRetrieveMode
{

    /// <summary> Read entity data from the cache: this is 
    /// the default behavior.
    /// </summary>
    USE,

    /// <summary> Bypass the cache: get data directly from
    /// the database.
    /// </summary>
    BYPASS  
}
}