/*****************************************************************************
/// Copyright (c) 2008, 2009 Sun Microsystems. All rights reserved. 
/// 
/// This program and the accompanying materials are made available under the 
/// terms of the Eclipse Public License v1.0 and Eclipse Distribution License v. 1.0 
/// which accompanies this distribution. 
/// The Eclipse Public License is available at http://www.eclipse.org/legal/epl-v10.html
/// and the Eclipse Distribution License is available at 
/// http://www.eclipse.org/org/documents/edl-v10.php.
/// 
/// Contributors:
///     Linda DeMichiel - Java Persistence 2.0 - Version 2.0 (October 1, 2009)
///     Specification available from http://jcp.org/en/jsr/detail?id=317
/// 
/*****************************************************************************/
namespace NPersistence { using System; using System.Reflection; using System.Collections; using System.Collections.Generic;



/// <summary> Specifies that the class is an entity. This annotation is applied to the
/// entity class.
/// 
/// 
/// </summary>
[System.AttributeUsage(System.AttributeTargets.Class)]/*@Documented*/
/*@Target(TYPE)*/

public sealed class Entity : System.Attribute {

	/// <summary> (Optional) The entity name. Defaults to the unqualified
	/// name of the entity class. This name is used to refer to the
	/// entity in queries. The name must not be a reserved literal
	/// in the Java Persistence query language.
	/// </summary>
	public string Name = "";
}
}