/*****************************************************************************
/// Copyright (c) 2008, 2009 Sun Microsystems. All rights reserved. 
/// 
/// This program and the accompanying materials are made available under the 
/// terms of the Eclipse Public License v1.0 and Eclipse Distribution License v. 1.0 
/// which accompanies this distribution. 
/// The Eclipse Public License is available at http://www.eclipse.org/legal/epl-v10.html
/// and the Eclipse Distribution License is available at 
/// http://www.eclipse.org/org/documents/edl-v10.php.
/// 
/// Contributors:
///     Linda DeMichiel - Java Persistence 2.0 - Version 2.0 (October 1, 2009)
///     Specification available from http://jcp.org/en/jsr/detail?id=317
/// 
/*****************************************************************************/
namespace NPersistence { using System; using System.Reflection; using System.Collections; using System.Collections.Generic;




/// <summary> Specifies the callback listener classes to be used for an 
/// entity or mapped superclass. This annotation may be applied 
/// to an entity class or mapped superclass.
/// 
/// 
/// </summary>
[System.AttributeUsage(System.AttributeTargets.Class)] 

public sealed class EntityListeners : System.Attribute {

    /// <summary> The callback listener classes/// </summary>
    public System.Type[] Value; 
    public EntityListeners() {}
    public EntityListeners(System.Type[] value) { Value = value; } 
}
}