/*****************************************************************************
/// Copyright (c) 2008, 2009 Sun Microsystems. All rights reserved. 
/// 
/// This program and the accompanying materials are made available under the 
/// terms of the Eclipse Public License v1.0 and Eclipse Distribution License v. 1.0 
/// which accompanies this distribution. 
/// The Eclipse Public License is available at http://www.eclipse.org/legal/epl-v10.html
/// and the Eclipse Distribution License is available at 
/// http://www.eclipse.org/org/documents/edl-v10.php.
/// 
/// Contributors:
///     Linda DeMichiel - Java Persistence 2.0 - Version 2.0 (October 1, 2009)
///     Specification available from http://jcp.org/en/jsr/detail?id=317
/// 
/*****************************************************************************/
namespace NPersistence { using System; using System.Reflection; using System.Collections; using System.Collections.Generic;


    /// <summary> Specifies a composite primary key class that is mapped to 
    /// multiple fields or properties of the entity.  
    /// <para>
    ///  The names of the fields or properties in the primary key 
    /// class and the primary key fields or properties of the entity 
    /// must correspond and their types must be the same.
    /// </para>
    /// <example><code>
    /// 
    ///   Example:
    /// 
    ///   &#91;IdClass(com.acme.EmployeePK.class)&#93;
    ///   &#91;Entity&#93;
    ///   public class Employee {
    ///      &#91;Id&#93; String empName;
    ///      &#91;Id&#93; Date birthDay;
    ///      ...
    ///   }
    /// </code></example>
    /// 
    /// 
    /// </summary>
    [System.AttributeUsage(System.AttributeTargets.Class)]


public sealed class IdClass : System.Attribute {

    /// <summary> Primary key class/// </summary>
    public System.Type Value; 
        public IdClass() {} 
        public IdClass(System.Type value) { Value = value; } 
}
}